POST https://api.cryptohopper.com/v1/social/post/{id}/repost

Reposts a post to your followers. Reposting a post you already reposted changes nothing.

OAuth scope: manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/social/post/POST_ID/repost" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Numeric ID of the post to repost.

Response

Example response (illustrative values)

{
    "data": {
        "reposted": 1,
        "total_reposts": 2,
        "message": "Reposted."
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.